Catmandu::Fix::eval(3pm)

NAME
Catmandu::Fix::eval - eval and execute fixes defined in a field

SYNOPSIS
    # {fixes => 'add_field(foo,bar)'}
    eval(fixes)
    # {fixes => 'add_field(foo,bar)', foo => 'bar'}

    # {fixes => ['add_field(foo,bar)','upcase(foo)'], foo => 'bar'}
    eval(fixes)
    # {fixes => ['add_field(foo,bar)','upcase(foo)'], foo => 'BAR'}

SEE ALSO
Catmandu::Fix